#!/usr/bin/python3

import os
import urllib.request

filebase = os.environ.get("XDG_DATA_HOME", "/tmp") + "/" + os.environ.get("APP_ID", "").split('_')[0]

def downloadAndSave(url, filename):
    html = downloadFile(url)
    writeFile(filename, html)

def downloadFile(url):
    with urllib.request.urlopen(url) as response:
        headers = response.info()
        print(headers)
        html = response.read()
        return html

def writeFile(filename, mydata):
    checkPath()
    filename = filebase + "/" + filename
    fd = os.open(filename, os.O_RDWR | os.O_CREAT)
    os.write(fd, mydata)
    os.close(fd)
    return filebase

def readFile(filename):
    checkPath()
    filename = filebase + "/" + filename
    fd = os.open(filename, os.O_RDWR)
    ret = os.read(fd)
    os.close()
    return ret

def checkPath():
    os.makedirs(filebase, exist_ok=True)
